## rtpL16depay

rtpL16depay

## Types and Values

struct | GstRtpL16Depay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBaseDepayload
                        ╰── GstRtpL16Depay

## Description

Extract raw audio from RTP packets according to RFC 3551. For detailed information see: http://www.rfc-editor.org/rfc/rfc3551.txt

### Example pipeline

    1

    gst-launch-1.0 udpsrc caps='application/x-rtp, media=(string)audio, clock-rate=(int)44100, encoding-name=(string)L16, encoding-params=(string)1, channels=(int)1, payload=(int)96' ! rtpL16depay ! pulsesink

This example pipeline will depayload an RTP raw audio stream. Refer to the rtpL16pay example to create the RTP stream.

## Synopsis

### Element Information

plugin | rtp
author | Zeeshan Ali <zak147@yahoo.com>,Wim Taymans <wim.taymans@gmail.com>
class | Codec/Depayloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-rtp, media=(string)audio, clock-rate=(int)[ 1, 2147483647 ], encoding-name=(string)L16
| application/x-rtp, media=(string)audio, payload=(int){ 10, 11 }, clock-rate=(int)[ 1, 2147483647 ]

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16BE, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstRtpL16Depay

    struct GstRtpL16Depay;

## See Also

rtpL16pay